'Newland.CityTheme:GridTeaser':
  superTypes:
    'Neos.Neos:Content': true
    'Newland.NeosNodeTypes:LinkMixin': true
    'Newland.CityTheme:SpacingMixin': false

  ui:
    label: Grid-Teaser
    icon: image
    inspector:
      groups:
        image:
          label: Bilder
          icon: image
        link:
          label: 'Link'
          icon: 'icon-link'
        appearance:
          label: Aussehen
          icon: cog
        toplineIsUppercase:
          label: Topline
          icon:  font
  label: ${q(node).property('headline') || 'Grid Teaser'}
  properties:
    size:
      type: string
      defaultValue: 'o-grid__item--1/3'
      ui:
        label: Größe
        reloadIfChanged: true
        inspector:
          group: appearance
          hidden: 'ClientEval:node.properties.appearance ? true : false'
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            values:
              default:
                label: klein
                value: o-grid__item--1/3
              middle:
                label: mittel
                value: o-grid__item--2/3
              big:
                label: groß
                value: o-grid__item--3/3
    image:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Bild
        reloadIfChanged: true
        inspector:
          group: image
    focusPoint:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: image
        help:
          message: i18n
    topline:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: 'Topline'
    headline:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: 'Titel'
    text:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            formatting:
              removeFormat: true
              strong: true
            placeholder: 'Text …'
    price:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            formatting:
              removeFormat: true
              strong: true
            placeholder: 'Preis'
    link:
      type: string
      ui:
        label: 'Link'
        reloadIfChanged: TRUE
        inspector:
          group: 'link'
          editor: 'Neos.Neos/Inspector/Editors/LinkEditor'

    toplineIsUppercase:
      type: boolean
      defaultValue: true
      ui:
        label: Topline in Großbuchstaben
        reloadIfChanged: true
        inspector:
          group: toplineIsUppercase

